loadFruitTypes = {}

local modDir = g_currentModDirectory
local modName = g_currentModName

function loadFruitTypes.loadMapData(self, superFunc, xmlFile, missionInfo, baseDirectory)
    superFunc(self, xmlFile, missionInfo, baseDirectory)
    local xmlFile = loadXMLFile("mod_fruitTypes", modDir .. "xml/fruitTypes.xml");

    if xmlFile ~= nil then
        g_fruitTypeManager:loadFruitTypes(xmlFile, missionInfo, false);
        delete(xmlFile)
    end
end;

FruitTypeManager.loadMapData = Utils.overwrittenFunction(FruitTypeManager.loadMapData, loadFruitTypes.loadMapData)